Summary:	U.S. Gazetteer data for dictd
Name:		dict-gazetteer
Version:	1.3
Release:	2
Copyright:	GPL
Group:		Applications/Dictionary
URL:		http://www.dict.org/
Vendor:		www.dict.org
Source:		ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
PreReq:		dictd >= 1.5.0
BuildRequires:	%{prefix}/bin/dictzip
BuildArch:	noarch

%description 
The files contained herein include the U.S. Gazetteer data that is
usable by the DICT server.  The data contains place names, population
and location information.  The Zip Code information is merged with the
place name data.

The original U.S. Gazetteer Place and Zipcode Files are provided by the
U.S. Census Bureau and are in the Public Domain.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{prefix} --datadir=%{prefix}/share
make
make db

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{prefix} \
	datadir=%{buildroot}/%{prefix}/share \
	install

%clean
rm -rf %{buildroot}

%post
echo -n "Configuring dicts: "
for i in gazetteer ; do
	echo -n "$i "
	echo 'database '$i' {	data "%{prefix}/share/dict/'$i'.dict.dz"' \
		>> /etc/dictd.conf
	echo '			index "%{prefix}/share/dict/'$i'.index" }' \
		>> /etc/dictd.conf
done
echo
/etc/rc.d/init.d/dictd restart

%preun
echo -n "Unconfiguring dicts: "
for i in gazetteer ; do
	echo -n "$i "
	grep -v %{prefix}/share/dict/$i.[id][ni][dc][et] /etc/dictd.conf \
		> dictd.conf.tmp
	mv -f dictd.conf.tmp /etc/dictd.conf
done
echo
/etc/rc.d/init.d/dictd restart

%files 
%defattr(-, root, root)
%doc COPYING ChangeLog README
%{prefix}/share/dict/*

%changelog
* Sat Jan 15 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- made relocatable
- cleaned up spec
- moved data dir
- made noarch
- added preun and post
- got rid of makefile patch
